(function() {
    var e, t, n, o, i, c, r, a, d, s, l, m, u, p, h, f, w;
    e = {
        "str-contents": "Contents",
        "str-terms": "Index",
        "str-search": "Search",
        "str-topic": "Topic",
        "str-searching": "Searching...",
        "str-loading": "loading",
        "str-previous": "Previous",
        "str-next": "Next",
        "str-home": "Home",
        "str-search-empty": "not found",
        "str-search-error": "search failed",
        "str-search-common-words": ""
    }, w = function() {
        var e;
        e = Array.prototype.slice.call(arguments), parent.frames[e.shift()].postMessage(e.join("[||]"), "*")
    }, u = function() {
        window.parent.postMessage(Array.prototype.slice.call(arguments).join("[||]"), "*")
    }, i = function(e) {
        window.addEventListener("message", function(t) {
            var n;
            n = (t.data || t).split("[||]"), e(n.shift(), n || null)
        })
    }, d = /iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream, c = document.documentElement, !d && parent !== self && window.addEventListener("scroll", function() {
        var e;
        e = (window.pageYOffset || c.scrollTop) - (c.clientTop || 0), parent.window.postMessage(["scroll", window.name, e.toString()].join("[||]"), "*"), e
    }), m = !1, h = function(e) {
        var t, n, o, i;
        if (!(n = document.getElementById("breadcrumbs")) && e && (i = document.getElementById("topic-top"))) {
            for (o = e.split("[$$]"), (n = document.createElement("div")).id = "breadcrumbs"; o.length > 1;)(t = document.createElement("a")).href = o.pop(), t.innerHTML = o.pop(), n.appendChild(t);
            return i.appendChild(n)
        }
    }, s = function(e) {
        var t;
        return (t = e.getBoundingClientRect()).top >= 0 && t.bottom <= (window.innerHeight || document.documentElement.clientHeight)
    }, f = function() {
        var e;
        return (e = function() {
            return m ? w("tocwin", "topicLoaded", window.TOPIC_FILE) : (w("tocwin", "checkToc"), !m && setTimeout(e, 20))
        })()
    }, a = function(e, t) {
        var n;
        if (window.TOPIC_FILE === e) {
            for (; t.length;) r(t.pop());
            setTimeout(l, 15e3), (n = document.getElementsByClassName("highlight")).length && !s(n[0]) && setTimeout(function() {
                return n[0].parentElement.scrollIntoView(!1)
            }, 400)
        }
    }, r = function(e) {
        var t, n, o, i, c, r;
        for (n = function(e) {
                var t, o, i, c, a, d;
                if (a = 0, 3 === e.nodeType)(c = e.data.search(r)) >= 0 && (o = e.data.match(r)[0], (d = document.createElement("span")).className = "highlight", (i = e.splitText(c)).splitText(o.length), d.appendChild(i.cloneNode(!0)), i.parentNode.replaceChild(d, i), a = 1);
                else if (1 === e.nodeType && e.childNodes && !/(script|style)/i.test(e.tagName))
                    for (t = 0; t < e.childNodes.length;) t += n(e.childNodes[t]), ++t;
                return a
            }, r = new RegExp(e, "i"), o = 0, i = (c = document.body.childNodes).length; o < i; o++) t = c[o], n(t)
    }, p = function(e) {
        var t;
        for (t = e.parentNode; e.firstChild;) t.insertBefore(e.firstChild, e);
        t.removeChild(e), t.normalize()
    }, l = function() {
        var e;
        for (e = document.getElementsByClassName("highlight"); e.length > 0;) p(e[0])
    }, t = function() {
        var e, t, n, o;
        t = document.getElementById("topic-bottom"), n = document.createElement("p"), e = document.createElement("a"), o = encodeURIComponent('Feedback on topic: "' + document.title + '" (' + document.body.id + ")"), e.href = "mailto:support@flam.de?subject=" + o + "&body=" + location.href, e.innerHTML = "Send feedback about this topic", n.appendChild(e), t.appendChild(n)
    }, n = function(e, t, n, o) {
        var i;
        (i = document.createElement("a")).id = n, i.className = "share-link", i.title = n, i.href = o, t && (i.target = "_blank"), e.appendChild(i)
    }, o = function() {
        var e, t, o, i;
        t = encodeURIComponent(location.href), i = encodeURIComponent(document.title), e = document.getElementById("topic-bottom"), (o = document.createElement("div")).id = "sharing-links", n(o, !1, "email", "mailto:?subject=" + i + "&body=" + t), e.appendChild(o)
    }, self !== parent && (i(function(e, t) {
        switch (e) {
            case "addClass":
                document.documentElement.className = t[0];
                break;
            case "highlight":
                a(t[0], t[1].split("[!!]"));
                break;
            case "tocLoaded":
                m = !0;
                break;
            case "updateBreadCrumbs":
                h(t[0])
        }
    }), f(), u("topicLoaded", window.TOPIC_FILE, document.title, window.location.pathname), "flam.de" === location.hostname.replace("www.", "") && (t(), o()))
}).call(this);
